Package org.globus.gsi.trustmanager

# Class UnsupportedCriticalExtensionChecker

java.lang.Object
org.globus.gsi.trustmanager.UnsupportedCriticalExtensionChecker

All Implemented Interfaces:
  `CertificateChecker`

public class UnsupportedCriticalExtensionChecker extends Object implements CertificateChecker
Checks if the certificate includes unsupported critical extensions.

Since:
  1.0
Version:
  ${version}

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedCriticalExtensionChecker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`invoke(X509Certificate cert, GSIConstants.CertificateType certType)`
Method that checks if there are unsupported critical extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnsupportedCriticalExtensionChecker

public UnsupportedCriticalExtensionChecker()

## Method Details

### invoke

public void invoke(X509Certificate cert, GSIConstants.CertificateType certType) throws CertPathValidatorException
Method that checks if there are unsupported critical extension. Supported ones are only BasicConstrains, KeyUsage, Proxy Certificate (old and new)

Specified by:
  `invoke` in interface `CertificateChecker`
Parameters:
  `cert` - The certificate to validate.
  `certType` - The type of certificate to validate.
Throws:
  `CertPathValidatorException` - If any critical extension that is not supported is in the certificate. Anything other than those listed above will trigger the exception.